Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class PlanTestGroup

    java.lang.Object
      ix.iplan.PlanTest
          ix.iplan.PlanTestGroup

All Implemented Interfaces:
  java.io.Serializable

    public class PlanTestGroup

extends PlanTest

Specifies a group of tests that can be applied to different domains. If an instance of this class appears in a list of PlanTests given to an `AutoTester`, the AutoTester will record the instance as a group. That happens via the TestRunner returned by the `makeTestRunner(AutoTester)` method.

Note that a PlanTestGroup is a PlanTest and so can be used to provide default values to other PlanTests, typically to the PlanTests in the group. Indeed, that happens when the group is used by an instance of `ExpandPlanTestGroup`.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name` This group's name.
`protected java.util.List` | `tests` The `PlanTest`s in this group.

Fields inherited from class ix.iplan.PlanTest
`domain, initialPlan, isExhaustive, plans, randomSimulations, stepLimit, task`

Constructor Summary
`PlanTestGroup()`

Method Summary
`java.lang.String` | `getName()`
`java.util.List` | `getTests()`
`AutoTester.TestRunner` | `makeTestRunner(AutoTester auto)` Returns a TestRunner that tells the AutoTester to remember this group.
`void` | `setName(java.lang.String name)`
`void` | `setTests(java.util.List tests)`
`java.lang.String` | `testDescription()` Returns a short textual description of this test.

Methods inherited from class ix.iplan.PlanTest
`getDomain, getInitialPlan, getIsExhaustive, getPlans, getRandomSimulations, getStepLimit, getTask, setDomain, setInitialPlan, setIsExhaustive, setPlans, setRandomSimulations, setStepLimit, setTask, taskDescription, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  This group's name.

### tests

    protected java.util.List tests

  The `PlanTest`s in this group.

Constructor Detail

### PlanTestGroup

    public PlanTestGroup()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getTests

    public java.util.List getTests()

### setTests

    public void setTests(java.util.List tests)

### makeTestRunner

    public AutoTester.TestRunner makeTestRunner(AutoTester auto)

  Returns a TestRunner that tells the AutoTester to remember this group.

  Overrides:
    `makeTestRunner` in class `PlanTest`
  See Also:
    `AutoTester.definePlanTestGroup(PlanTestGroup)`

### testDescription

    public java.lang.String testDescription()

  Description copied from class: `PlanTest`
  Returns a short textual description of this test. It should include the domain name and a description of the task or problem. Examples:

         Domain duplicate-effect-test, Task test1
         Domain blocks-pure-htn-1, Problem ca,b-abc

  The method defined by the PlanTest class calls `PlanTest.getDomain()` and `PlanTest.taskDescription()`.

  The testDescription() method is called by `PlanTest.toString()`.

  Overrides:
    `testDescription` in class `PlanTest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD